From 112dddd8fa5fb9c285fb8ef2818abfef99365070 Mon Sep 17 00:00:00 2001
From: Victor Stinner <vstinner@python.org>
Date: Tue, 19 Jan 2021 11:19:15 +0100
Subject: [PATCH] Skip test_import_bootlocale() on Python 3.10

The _bootlocale module has been removed from Python 3.10:
https://github.com/python/cpython/commit/b62bdf71ea0cd52041d49691d8ae3dc645bd48e1
https://bugs.python.org/issue42208
---
 Cheetah/Tests/ImportHooks.py | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/Cheetah/Tests/ImportHooks.py b/Cheetah/Tests/ImportHooks.py
index d7b5f5d..bc0239c 100644
--- a/Cheetah/Tests/ImportHooks.py
+++ b/Cheetah/Tests/ImportHooks.py
@@ -87,7 +87,9 @@ def test_import_builtin(self):
                 return
         raise self.fail("All builtin modules are imported")
 
-    if not PY2:
+    # _bootlocale was removed in Python 3.10:
+    # https://bugs.python.org/issue42208
+    if not PY2 and sys.version_info < (3, 10):
         def test_import_bootlocale(self):
             if '_bootlocale' in sys.modules:
                 del sys.modules['_bootlocale']
